package p25_lambdy;

public class MojFrameworkFunkcyjny {
    // Tutaj wczuwam się w rolę twórcy jakiegoś uniwersalnego rozwiązania,
    // z którego będą korzystać inni programiści (albo ja sam w innych klasach).

    // W tej klasie możemy "się napracować" i używać jawnie nazw FunkcjaLiczbowa czy oblicz
    // stosuje podaną funkcję do wszystkich elementów tablicy
    public static void zastosujFunkcjeDoTablicy(double[] t, FunkcjaLiczbowa f) {
        for (int i = 0; i < t.length; i++) {
            t[i] = f.oblicz(t[i]);
        }
    }
}
